#
# spec file for package imhangul
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           imhangul
Version:        3.1.1+git20130112.a4c2796
Release:        bp155.2.13
Summary:        GTK+-3.0 Hangul Input Modules
License:        GPL-2.0+
Group:          System/I18n/Korean
Url:            https://github.com/choehwanjin/imhangul
Source:         imhangul-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM marguerite@opensuse.org don't use gtk_alignment_set_padding
Patch:          deprecated-gtkalignment-gtk3.14.patch
BuildRequires:  glib2-devel
BuildRequires:  gtk3-devel
BuildRequires:  libhangul-devel
BuildRequires:  libtool
Provides:       locale(gtk3:ko)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{gtk3_immodule_requires}

%description
GTK+-2.0 Hangul input modules.

%prep
%setup -q
%patch -p1
NOCONFIGURE=1 ./autogen.sh

%build
export CFLAGS="%{optflags}"
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-gtk-im-module-dir=%{_libdir}/gtk-3.0/3.0.0/immodules \
	%{_target_platform}
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%find_lang im-hangul-3.0
find %{buildroot} -name "*.la" -delete

%post
%{gtk3_immodule_post}
/sbin/ldconfig

%postun
%{gtk3_immodule_postun}
/sbin/ldconfig

%files -f im-hangul-3.0.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog.0 TODO NEWS
%{_libdir}/gtk-3.0/3.0.0/immodules/im-hangul.so

%changelog
* Tue Aug 25 2015 opensuse-packaging@opensuse.org
- update to version 3.1.1+git20130112.a4c2796
  * see NEWS (Korean)
- drop imhangul-0.9.14-gtk-deprecated.patch, upstreamed
- add deprecated-gtkalignment-gtk3.14.patch
  * don't use deprecated gtk_alignment_new() and
    gtk_alignment_set_padding() functions
* Sun May 22 2011 idonmez@novell.com
- Add imhangul-0.9.14-gtk-deprecated.patch: replace deprecated
  gdk_drawable_get_screen with gdk_window_get_screen
* Wed Mar  9 2011 tiwai@suse.de
- Fix post scripts to use new gtk2_immodule_* macros (bnc#678080)
* Wed Dec 29 2010 aj@suse.de
- Fix packagelist.
* Sun Jan 31 2010 jengelh@medozas.de
- package baselibs.conf
* Wed Jan 14 2009 mfabian@suse.de
- bnc#464044: update to 0.9.14.
  (changelog is in Korean only).
- use /sbin/ldconfig instead of deprecated macro run_ldconfig
- specify gtk input module directory with configure option
  instead of patch (remove imhangul-0.9.6.dif).
- add libhangul-devel to BuildRequires.
* Tue Nov 25 2008 sbrabec@suse.cz
- Supplement gtk2-32bit/gtk2-64bit in baselibs.conf (bnc#354164).
* Sun Jan  7 2007 ro@suse.de
- GNOME moved to /usr
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(gtk2:ko)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep  7 2004 mfabian@suse.de
- update to 0.9.11.
  (now supports converting already inputed text to hanja).
* Wed Aug 25 2004 mfabian@suse.de
- Bugzilla #44155: add /usr/bin/touch to PreReq:.
* Tue Feb  3 2004 mfabian@suse.de
- update to 0.9.9.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Sep 12 2003 mfabian@suse.de
- Bugzilla #30620: don't try to call in gtk-query-immodules-2.0
  in %%post and %%postun, just trigger a run of SuSEconfig.gtk2
  which will then call gtk-query-immodules-2.0.
* Tue Aug 12 2003 ro@suse.de
- fix build on lib64 platforms
* Wed Jul 16 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
- Require gtk2.
* Sun Jun 15 2003 mfabian@suse.de
- fix "directory not owned by any package".
* Mon May 19 2003 mfabian@suse.de
- new package, version 0.20030519
